Index: /main/trunk/greenstone2/macros/nepali2.dm
===================================================================
--- /main/trunk/greenstone2/macros/nepali2.dm	(revision 22599)
+++ /main/trunk/greenstone2/macros/nepali2.dm	(revision 22600)
@@ -90,5 +90,5 @@
 _textnocollections_ [l=ne] {<p> à€€à€€à¥à€à€Ÿà€²à€à€Ÿ à€²à€Ÿà€à€¿ à€¹à€°à€¿à€€à€¢à¥à€à€à€Ÿà€®à€Ÿ à€à¥à€šà¥ à€ªà€šà€¿ à€žà€à€à¥à€°à€¹ à€°à€Ÿà€à€¿à€à€à¥ à€à¥à€šà¥ à¥€ à€žà€à€à¥à€°à€¹ à€¥à€ªà¥à€šà€à€Ÿ à€²à€Ÿà€à€¿ à€€à€ªà€Ÿà€à€²à¥ <ul><li><a href="_httppagecollector_"> à€žà€à€à¥à€°à€¹à€à€°à¥à€€à€Ÿ </a> à€à¥ à€ªà¥à€°à€¯à¥à€à€à€°à€¿ à€šà€¯à€Ÿà€ à€žà€à€à¥à€°à€¹ à€šà€¿à€°à¥à€®à€Ÿà€£ à€à€°à¥à€šà¥ à€µà€Ÿ 
 <li> à€¯à€Šà€¿ à€€à€ªà€Ÿà€ à€žà€à€ à€¹à€°à€¿à€€à€¢à¥à€à€à€Ÿ CD-ROM à€ à€­à€šà¥ à€€à¥à€¯à€žà€¬à€Ÿà€ à€žà€à€à¥à€°à€¹à€¹à€°à¥ à€šà€¿à€°à¥à€®à€Ÿà€£ à€à€°à¥à€šà¥ 
-</ul> à€žà€à¥à€šà¥à€¹à¥à€šà¥à€ }  
+</ul> à€žà€à¥à€šà¥à€¹à¥à€šà¥à€ }
 
 _text1coll_ [l=ne] {à€à¥à€šà€žà¥à€à¥à€š à€žà¥à€¥à€Ÿà€ªà€šà€Ÿà€®à€Ÿ à¥§ à€žà€à€à¥à€°à€¹ à€ à¥€
@@ -586,16 +586,14 @@
 à€°à¥à€§à€¬à€¿à€°à€®à€¬à€Ÿà€ à€à¥à€à¥à€¯à€Ÿà€à€à€Ÿ à€žà¥à€à€¿ à€žà€®à¥à€¹ à€à€šà¥ à€à¥à€ªà€¯à€Ÿ à€
 à€°à¥à€§à€¬à€¿à€°à€Ÿà€® à€ªà€à€¿ à€à€Ÿà€²à€¿ à€ à€Ÿà€à€ à€šà€Šà€¿à€šà¥à€¹à¥à€žà¥ }  
-_textavailablegroups_ [l=ne] {à€ªà¥à€°à¥à€µà€šà€¿à€°à¥à€§à€Ÿà€°à€¿à€€ à€žà€à€®à¥à€¹à€®à€Ÿ à€ªà¥à€°à€¶à€Ÿà€žà€ (adminstrator )  à€° à€
+_textavailablegroups_ [l=ne] {"à€ªà¥à€°à¥à€µà€šà€¿à€°à¥à€§à€Ÿà€°à€¿à€€ à€žà€à€®à¥à€¹à€®à€Ÿ à€ªà¥à€°à€¶à€Ÿà€žà€ (adminstrator )  à€° à€
 à€°à¥ à€à€žà€²à€Ÿà€ à€²à€Ÿà€à€¬à¥à€°à¥à€°à¥ à€à€šà¥à€à€°à€«à¥à€ž ( library Interface ) à€µà€Ÿ à€µà€à€€à€à€°à¥à€€à€Ÿ ( Depositer ) à€à¥ à€ªà¥à€°à€¯à¥à€ à€à€°à€¿ à€Šà¥à€°-à€žà€à€à¥à€°à€¹ à€šà€¿à€°à¥à€®à€Ÿà€£ à€à€°à¥à€šà¥ à€
-à€§à€¿à€à€° à€, à€ªà€°à¥à€Šà€ à¥€ 
-<ul>
-<li><b> à€ªà¥à€°à€¶à€Ÿà€žà€ : </b> à€žà€Ÿà€à€ (site) à€®à€Ÿ à€ªà¥à€°à€µà¥à€¶ à€à€°à¥à€š, à€¬à€¿à€šà¥à€¯à€Ÿà€ž à€° à€ªà¥à€°à€¯à¥à€à€à€°à¥à€€à€Ÿà€à¥ à€à€Ÿà€€à€Ÿ à€ªà€°à€¿à€¬à€°à¥à€€à€š à€à€°à¥à€š, à€
-à€šà¥à€®à€€à€¿ à€Šà€¿à€šà¥à€ à¥€ 
-<li><b> à€µà¥à€¯à€à¥à€€à€¿à€à€€ - à€žà€à€à¥à€°à€¹ à€žà€®à¥à€ªà€Ÿà€Šà€ ( personal -collection - editor ) 
-</b> à€šà€¯à€Ÿà€ à€¬à¥à€¯à€à¥à€€à€¿à€à€€ à€žà€à€à¥à€°à€¹à€¹à€°à¥ à€šà€¿à€°à¥à€®à€Ÿà€£ à€à€°à¥à€š à€
-à€šà¥à€®à€€à€¿ à€Šà€¿à€šà¥à€ à¥€
-< li><b>&lt: à€žà€à€à¥à€°à€¹ à€šà€Ÿà€® &gt ;- à€žà€à€à¥à€°à€¹- à€žà€®à¥à€ªà€Šà€ " à€žà€à€à¥à€°à€¹ à€šà€Ÿà€® " à€žà€à€à¥à€°à€¹ , à€¬à€šà€Ÿà€à€šà€Ÿ à€° à€žà€®à¥à€ªà€Šà€š à€à€°à¥à€š à€
-à€šà¥à€®à€€à€¿ à€Šà€¿à€šà¥à€ à¥€ <li><b> à€žà€®à¥à€ªà¥à€°à¥à€£ à€žà€à€à¥à€°à€¹ à€žà€®à¥à€ªà€Ÿà€Šà€ ( all - collection editor ) <lib> à€šà€¯à€Ÿà€ à€µà¥à€¯à€à¥à€€à€¿à€à€€ à€žà€à€žà¥à€žà€°à€¿à€à€Ÿ à€šà€¿à€°à¥à€®à€Ÿà€£ à€à€°à¥à€š à€° <b> à€žà€®à¥à€ªà¥à€°à¥à€£ <b> à€žà€à€à¥à€°à€¹à€¹à€°à¥ à€žà€®à¥à€ªà€Ÿà€Šà€š à€à€°à¥à€š à€
-à€šà¥à€®à€€à€¿ à€Šà€¿à€šà¥à€ à¥€ }  
+à€§à€¿à€à€Ÿà€° à€, à€ªà€°à¥à€Šà€ à¥€ <ul> <li><b> à€ªà¥à€°à€¶à€Ÿà€žà€ : </b> à€žà€Ÿà€à€ (site) à€®à€Ÿ à€ªà¥à€°à€µà¥à€¶ à€à€°à¥à€š, à€¬à€¿à€šà¥à€¯à€Ÿà€ž à€° à€ªà¥à€°à€¯à¥à€à€à€°à¥à€€à€Ÿà€à¥ à€à€Ÿà€€à€Ÿ à€ªà€°à€¿à€¬à€°à¥à€€à€š à€à€°à¥à€š, à€
+à€šà¥à€®à€€à€¿ à€Šà€¿à€šà¥à€ à¥€ <li><b> à€µà¥à€¯à€à¥à€€à€¿à€à€€ - à€žà€à€à¥à€°à€¹ à€žà€®à¥à€ªà€Ÿà€Šà€ ( personal -collection - editor ) </b> à€šà€¯à€Ÿà€ à€¬à¥à€¯à€à¥à€€à€¿à€à€€ à€žà€à€à¥à€°à€¹à€¹à€°à¥ à€šà€¿à€°à¥à€®à€Ÿà€£ à€à€°à¥à€š à€
+à€šà¥à€®à€€à€¿ à€Šà€¿à€šà¥à€ à¥€ < li><b>&lt: à€žà€à€à¥à€°à€¹ à€šà€Ÿà€® &gt ;- à€žà€à€à¥à€°à€¹- à€žà€®à¥à€ªà€Ÿà€Šà€</b> :" à€žà€à€à¥à€°à€¹-à€šà€Ÿà€® " à€žà€à€à¥à€°à€¹ , à€¬à€šà€Ÿà€à€š à€° à€žà€®à¥à€ªà€Ÿà€Šà€š à€à€°à¥à€š à€
+à€šà¥à€®à€€à€¿ à€Šà€¿à€šà¥à€ à¥€ à€à€Šà€Ÿà€¹à€°à€£ : à€°à€¿à€ªà¥à€-à€žà€à€à¥à€°à€¹-à€žà€®à¥à€ªà€Ÿà€Šà€ à¥€<li><b> à€žà€®à¥à€ªà¥à€°à¥à€£-à€žà€à€à¥à€°à€¹-à€žà€®à¥à€ªà€Ÿà€Šà€ ( all-collection-editor )</b>: à€šà€¯à€Ÿà€ à€µà¥à€¯à€à¥à€€à€¿à€à€€ à€€à€¥à€Ÿ à€žà€à€žà¥à€žà€°à€¿à€ à€žà€à€à¥à€°à€¹ à€šà€¿à€°à¥à€®à€Ÿà€£ à€à€°à¥à€š à€° <b> à€žà€®à¥à€ªà¥à€°à¥à€£ </b> à€žà€à€à¥à€°à€¹à€¹à€°à¥ à€žà€®à¥à€ªà€Ÿà€Šà€š à€à€°à¥à€š à€
+à€šà¥à€®à€€à€¿ à€Šà€¿à€šà¥à€ à¥€ à€žà€Ÿà€¥à¥ à€žà€à€à¥à€°à€¹ à€ªà¥à€°à€¯à¥à€ à€à€°à¥à€š à€šà€¿ à€
+à€šà¥à€®à€€à€¿ à€Šà€¿à€šà¥à€ à¥€</ul>"
+
+	}  
 
 