Index: main/trunk/gs2-core/runtime-src/src/colservr/Makefile.am
===================================================================
--- main/trunk/gs2-core/runtime-src/src/colservr/Makefile.am	(revision 22622)
+++ main/trunk/gs2-core/runtime-src/src/colservr/Makefile.am	(revision 22623)
@@ -57,5 +57,7 @@
 	search.cpp \
 	source.cpp \
-	sqlbrowsefilter.cpp
+	sqlbrowsefilter.cpp \
+	sqlfilter.cpp \
+	sqlqueryfilter.cpp
 
 # Option: Lucene support
Index: main/trunk/gs2-core/runtime-src/src/colservr/Makefile.in
===================================================================
--- main/trunk/gs2-core/runtime-src/src/colservr/Makefile.in	(revision 22622)
+++ main/trunk/gs2-core/runtime-src/src/colservr/Makefile.in	(revision 22623)
@@ -89,5 +89,6 @@
 	lucenesource.cpp maptools.cpp phrasesearch.cpp querycache.cpp \
 	queryfilter.cpp queryinfo.cpp search.cpp source.cpp \
-	sqlbrowsefilter.cpp expat_document.cpp expat_resultset.cpp
+	sqlbrowsefilter.cpp sqlfilter.cpp sqlqueryfilter.cpp \
+	expat_document.cpp expat_resultset.cpp
 @ENABLE_LUCENE_TRUE@am__objects_1 = libgsdlcolservr_a-expat_document.$(OBJEXT) \
 @ENABLE_LUCENE_TRUE@	libgsdlcolservr_a-expat_resultset.$(OBJEXT)
@@ -109,5 +110,7 @@
 	libgsdlcolservr_a-search.$(OBJEXT) \
 	libgsdlcolservr_a-source.$(OBJEXT) \
-	libgsdlcolservr_a-sqlbrowsefilter.$(OBJEXT) $(am__objects_1)
+	libgsdlcolservr_a-sqlbrowsefilter.$(OBJEXT) \
+	libgsdlcolservr_a-sqlfilter.$(OBJEXT) \
+	libgsdlcolservr_a-sqlqueryfilter.$(OBJEXT) $(am__objects_1)
 libgsdlcolservr_a_OBJECTS = $(am_libgsdlcolservr_a_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
@@ -231,5 +234,5 @@
 	maptools.cpp phrasesearch.cpp querycache.cpp queryfilter.cpp \
 	queryinfo.cpp search.cpp source.cpp sqlbrowsefilter.cpp \
-	$(am__append_2)
+	sqlfilter.cpp sqlqueryfilter.cpp $(am__append_2)
 all: all-am
 
@@ -298,4 +301,6 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgsdlcolservr_a-source.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgsdlcolservr_a-sqlbrowsefilter.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgsdlcolservr_a-sqlfilter.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgsdlcolservr_a-sqlqueryfilter.Po@am__quote@
 
 .cpp.o:
@@ -550,4 +555,32 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdlcolservr_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libgsdlcolservr_a-sqlbrowsefilter.obj `if test -f 'sqlbrowsefilter.cpp'; then $(CYGPATH_W) 'sqlbrowsefilter.cpp'; else $(CYGPATH_W) '$(srcdir)/sqlbrowsefilter.cpp'; fi`
+
+libgsdlcolservr_a-sqlfilter.o: sqlfilter.cpp
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdlcolservr_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libgsdlcolservr_a-sqlfilter.o -MD -MP -MF "$(DEPDIR)/libgsdlcolservr_a-sqlfilter.Tpo" -c -o libgsdlcolservr_a-sqlfilter.o `test -f 'sqlfilter.cpp' || echo '$(srcdir)/'`sqlfilter.cpp; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libgsdlcolservr_a-sqlfilter.Tpo" "$(DEPDIR)/libgsdlcolservr_a-sqlfilter.Po"; else rm -f "$(DEPDIR)/libgsdlcolservr_a-sqlfilter.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='sqlfilter.cpp' object='libgsdlcolservr_a-sqlfilter.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdlcolservr_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libgsdlcolservr_a-sqlfilter.o `test -f 'sqlfilter.cpp' || echo '$(srcdir)/'`sqlfilter.cpp
+
+libgsdlcolservr_a-sqlfilter.obj: sqlfilter.cpp
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdlcolservr_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libgsdlcolservr_a-sqlfilter.obj -MD -MP -MF "$(DEPDIR)/libgsdlcolservr_a-sqlfilter.Tpo" -c -o libgsdlcolservr_a-sqlfilter.obj `if test -f 'sqlfilter.cpp'; then $(CYGPATH_W) 'sqlfilter.cpp'; else $(CYGPATH_W) '$(srcdir)/sqlfilter.cpp'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libgsdlcolservr_a-sqlfilter.Tpo" "$(DEPDIR)/libgsdlcolservr_a-sqlfilter.Po"; else rm -f "$(DEPDIR)/libgsdlcolservr_a-sqlfilter.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='sqlfilter.cpp' object='libgsdlcolservr_a-sqlfilter.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdlcolservr_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libgsdlcolservr_a-sqlfilter.obj `if test -f 'sqlfilter.cpp'; then $(CYGPATH_W) 'sqlfilter.cpp'; else $(CYGPATH_W) '$(srcdir)/sqlfilter.cpp'; fi`
+
+libgsdlcolservr_a-sqlqueryfilter.o: sqlqueryfilter.cpp
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdlcolservr_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libgsdlcolservr_a-sqlqueryfilter.o -MD -MP -MF "$(DEPDIR)/libgsdlcolservr_a-sqlqueryfilter.Tpo" -c -o libgsdlcolservr_a-sqlqueryfilter.o `test -f 'sqlqueryfilter.cpp' || echo '$(srcdir)/'`sqlqueryfilter.cpp; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libgsdlcolservr_a-sqlqueryfilter.Tpo" "$(DEPDIR)/libgsdlcolservr_a-sqlqueryfilter.Po"; else rm -f "$(DEPDIR)/libgsdlcolservr_a-sqlqueryfilter.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='sqlqueryfilter.cpp' object='libgsdlcolservr_a-sqlqueryfilter.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdlcolservr_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libgsdlcolservr_a-sqlqueryfilter.o `test -f 'sqlqueryfilter.cpp' || echo '$(srcdir)/'`sqlqueryfilter.cpp
+
+libgsdlcolservr_a-sqlqueryfilter.obj: sqlqueryfilter.cpp
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdlcolservr_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libgsdlcolservr_a-sqlqueryfilter.obj -MD -MP -MF "$(DEPDIR)/libgsdlcolservr_a-sqlqueryfilter.Tpo" -c -o libgsdlcolservr_a-sqlqueryfilter.obj `if test -f 'sqlqueryfilter.cpp'; then $(CYGPATH_W) 'sqlqueryfilter.cpp'; else $(CYGPATH_W) '$(srcdir)/sqlqueryfilter.cpp'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libgsdlcolservr_a-sqlqueryfilter.Tpo" "$(DEPDIR)/libgsdlcolservr_a-sqlqueryfilter.Po"; else rm -f "$(DEPDIR)/libgsdlcolservr_a-sqlqueryfilter.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='sqlqueryfilter.cpp' object='libgsdlcolservr_a-sqlqueryfilter.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdlcolservr_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libgsdlcolservr_a-sqlqueryfilter.obj `if test -f 'sqlqueryfilter.cpp'; then $(CYGPATH_W) 'sqlqueryfilter.cpp'; else $(CYGPATH_W) '$(srcdir)/sqlqueryfilter.cpp'; fi`
 
 libgsdlcolservr_a-expat_document.o: expat_document.cpp