Index: /main/trunk/gs2-core/common-src/src/lib/Makefile.am
===================================================================
--- /main/trunk/gs2-core/common-src/src/lib/Makefile.am	(revision 22625)
+++ /main/trunk/gs2-core/common-src/src/lib/Makefile.am	(revision 22626)
@@ -52,4 +52,5 @@
 	OIDtools.cpp \
 	phrases.cpp \
+	sqldbclass.cpp \
 	text_t.cpp \
 	unitool.cpp
Index: /main/trunk/gs2-core/common-src/src/lib/Makefile.in
===================================================================
--- /main/trunk/gs2-core/common-src/src/lib/Makefile.in	(revision 22625)
+++ /main/trunk/gs2-core/common-src/src/lib/Makefile.in	(revision 22626)
@@ -84,6 +84,6 @@
 	dbclass.cpp display.cpp fileutil.cpp gsdlsitecfg.cpp \
 	gsdltimes.cpp gsdltools.cpp gsdlunicode.cpp infodbclass.cpp \
-	md5.cpp OIDtools.cpp phrases.cpp text_t.cpp unitool.cpp \
-	sqlitedbclass.cpp
+	md5.cpp OIDtools.cpp phrases.cpp sqldbclass.cpp text_t.cpp \
+	unitool.cpp sqlitedbclass.cpp
 @USE_SQLITE_TRUE@am__objects_1 = libgsdllib_a-sqlitedbclass.$(OBJEXT)
 am_libgsdllib_a_OBJECTS = libgsdllib_a-cfgread.$(OBJEXT) \
@@ -97,4 +97,5 @@
 	libgsdllib_a-infodbclass.$(OBJEXT) libgsdllib_a-md5.$(OBJEXT) \
 	libgsdllib_a-OIDtools.$(OBJEXT) libgsdllib_a-phrases.$(OBJEXT) \
+	libgsdllib_a-sqldbclass.$(OBJEXT) \
 	libgsdllib_a-text_t.$(OBJEXT) libgsdllib_a-unitool.$(OBJEXT) \
 	$(am__objects_1)
@@ -209,6 +210,6 @@
 	dbclass.cpp display.cpp fileutil.cpp gsdlsitecfg.cpp \
 	gsdltimes.cpp gsdltools.cpp gsdlunicode.cpp infodbclass.cpp \
-	md5.cpp OIDtools.cpp phrases.cpp text_t.cpp unitool.cpp \
-	$(am__append_2)
+	md5.cpp OIDtools.cpp phrases.cpp sqldbclass.cpp text_t.cpp \
+	unitool.cpp $(am__append_2)
 all: all-am
 
@@ -272,4 +273,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgsdllib_a-md5.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgsdllib_a-phrases.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgsdllib_a-sqldbclass.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgsdllib_a-sqlitedbclass.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgsdllib_a-text_t.Po@am__quote@
@@ -485,4 +487,18 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdllib_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libgsdllib_a-phrases.obj `if test -f 'phrases.cpp'; then $(CYGPATH_W) 'phrases.cpp'; else $(CYGPATH_W) '$(srcdir)/phrases.cpp'; fi`
+
+libgsdllib_a-sqldbclass.o: sqldbclass.cpp
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdllib_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libgsdllib_a-sqldbclass.o -MD -MP -MF "$(DEPDIR)/libgsdllib_a-sqldbclass.Tpo" -c -o libgsdllib_a-sqldbclass.o `test -f 'sqldbclass.cpp' || echo '$(srcdir)/'`sqldbclass.cpp; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libgsdllib_a-sqldbclass.Tpo" "$(DEPDIR)/libgsdllib_a-sqldbclass.Po"; else rm -f "$(DEPDIR)/libgsdllib_a-sqldbclass.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='sqldbclass.cpp' object='libgsdllib_a-sqldbclass.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdllib_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libgsdllib_a-sqldbclass.o `test -f 'sqldbclass.cpp' || echo '$(srcdir)/'`sqldbclass.cpp
+
+libgsdllib_a-sqldbclass.obj: sqldbclass.cpp
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdllib_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libgsdllib_a-sqldbclass.obj -MD -MP -MF "$(DEPDIR)/libgsdllib_a-sqldbclass.Tpo" -c -o libgsdllib_a-sqldbclass.obj `if test -f 'sqldbclass.cpp'; then $(CYGPATH_W) 'sqldbclass.cpp'; else $(CYGPATH_W) '$(srcdir)/sqldbclass.cpp'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libgsdllib_a-sqldbclass.Tpo" "$(DEPDIR)/libgsdllib_a-sqldbclass.Po"; else rm -f "$(DEPDIR)/libgsdllib_a-sqldbclass.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='sqldbclass.cpp' object='libgsdllib_a-sqldbclass.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgsdllib_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libgsdllib_a-sqldbclass.obj `if test -f 'sqldbclass.cpp'; then $(CYGPATH_W) 'sqldbclass.cpp'; else $(CYGPATH_W) '$(srcdir)/sqldbclass.cpp'; fi`
 
 libgsdllib_a-text_t.o: text_t.cpp