Index: /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.am
===================================================================
--- /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.am	(revision 22626)
+++ /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.am	(revision 22627)
@@ -46,4 +46,5 @@
 	argdb.cpp \
 	authenaction.cpp \
+	basequeryaction.cpp \
 	browseaction.cpp \
 	browseactiontools.cpp \
@@ -79,4 +80,5 @@
 	querytools.cpp \
 	receptionist.cpp \
+	sqlqueryaction.cpp \
 	statusaction.cpp \
 	string_pool.cpp \
@@ -102,4 +104,5 @@
 # Option: SQLite support
 if USE_SQLITE
+  library_cgi_CPPFLAGS += -I$(GSDL_DIR)/common-src/packages/sqlite/include
   library_cgi_LDADD += $(GSDL_DIR)/common-src/packages/sqlite/lib/libsqlite3.a -ldl -lpthread
 endif
Index: /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.in
===================================================================
--- /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.in	(revision 22626)
+++ /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.in	(revision 22627)
@@ -69,5 +69,6 @@
 
 # Option: SQLite support
-@USE_SQLITE_TRUE@am__append_2 = $(GSDL_DIR)/common-src/packages/sqlite/lib/libsqlite3.a -ldl -lpthread
+@USE_SQLITE_TRUE@am__append_2 = -I$(GSDL_DIR)/common-src/packages/sqlite/include
+@USE_SQLITE_TRUE@am__append_3 = $(GSDL_DIR)/common-src/packages/sqlite/lib/libsqlite3.a -ldl -lpthread
 subdir = src/recpt
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
@@ -84,4 +85,5 @@
 am_library_cgi_OBJECTS = library_cgi-action.$(OBJEXT) \
 	library_cgi-argdb.$(OBJEXT) library_cgi-authenaction.$(OBJEXT) \
+	library_cgi-basequeryaction.$(OBJEXT) \
 	library_cgi-browseaction.$(OBJEXT) \
 	library_cgi-browseactiontools.$(OBJEXT) \
@@ -115,4 +117,5 @@
 	library_cgi-querytools.$(OBJEXT) \
 	library_cgi-receptionist.$(OBJEXT) \
+	library_cgi-sqlqueryaction.$(OBJEXT) \
 	library_cgi-statusaction.$(OBJEXT) \
 	library_cgi-string_pool.$(OBJEXT) \
@@ -240,10 +243,8 @@
 
 # Program: library.cgi
-library_cgi_CPPFLAGS = \
-	-I$(GSDL_DIR)/common-src/src/lib \
+library_cgi_CPPFLAGS = -I$(GSDL_DIR)/common-src/src/lib \
 	-I$(GSDL_DIR)/runtime-src/src/colservr \
-	-I$(GSDL_DIR)/runtime-src/src/protocol \
-	$(COMPAT32BITFLAGS)
-
+	-I$(GSDL_DIR)/runtime-src/src/protocol $(COMPAT32BITFLAGS) \
+	$(am__append_2)
 
 # Sources for library.cgi
@@ -252,4 +253,5 @@
 	argdb.cpp \
 	authenaction.cpp \
+	basequeryaction.cpp \
 	browseaction.cpp \
 	browseactiontools.cpp \
@@ -285,4 +287,5 @@
 	querytools.cpp \
 	receptionist.cpp \
+	sqlqueryaction.cpp \
 	statusaction.cpp \
 	string_pool.cpp \
@@ -298,5 +301,5 @@
 	$(GSDL_DIR)/runtime-src/src/colservr/libgsdlcolservr.a \
 	$(GSDL_DIR)/common-src/src/lib/libgsdllib.a $(am__append_1) \
-	$(am__append_2)
+	$(am__append_3)
 library_cgi_LDFLAGS = $(COMPAT32BITFLAGS)
 all: all-am
@@ -369,4 +372,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-argdb.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-authenaction.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-basequeryaction.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-browseaction.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-browseactiontools.Po@am__quote@
@@ -402,4 +406,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-querytools.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-receptionist.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-sqlqueryaction.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-statusaction.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/library_cgi-string_pool.Po@am__quote@
@@ -467,4 +472,18 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o library_cgi-authenaction.obj `if test -f 'authenaction.cpp'; then $(CYGPATH_W) 'authenaction.cpp'; else $(CYGPATH_W) '$(srcdir)/authenaction.cpp'; fi`
 
+library_cgi-basequeryaction.o: basequeryaction.cpp
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT library_cgi-basequeryaction.o -MD -MP -MF "$(DEPDIR)/library_cgi-basequeryaction.Tpo" -c -o library_cgi-basequeryaction.o `test -f 'basequeryaction.cpp' || echo '$(srcdir)/'`basequeryaction.cpp; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/library_cgi-basequeryaction.Tpo" "$(DEPDIR)/library_cgi-basequeryaction.Po"; else rm -f "$(DEPDIR)/library_cgi-basequeryaction.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='basequeryaction.cpp' object='library_cgi-basequeryaction.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o library_cgi-basequeryaction.o `test -f 'basequeryaction.cpp' || echo '$(srcdir)/'`basequeryaction.cpp
+
+library_cgi-basequeryaction.obj: basequeryaction.cpp
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT library_cgi-basequeryaction.obj -MD -MP -MF "$(DEPDIR)/library_cgi-basequeryaction.Tpo" -c -o library_cgi-basequeryaction.obj `if test -f 'basequeryaction.cpp'; then $(CYGPATH_W) 'basequeryaction.cpp'; else $(CYGPATH_W) '$(srcdir)/basequeryaction.cpp'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/library_cgi-basequeryaction.Tpo" "$(DEPDIR)/library_cgi-basequeryaction.Po"; else rm -f "$(DEPDIR)/library_cgi-basequeryaction.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='basequeryaction.cpp' object='library_cgi-basequeryaction.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o library_cgi-basequeryaction.obj `if test -f 'basequeryaction.cpp'; then $(CYGPATH_W) 'basequeryaction.cpp'; else $(CYGPATH_W) '$(srcdir)/basequeryaction.cpp'; fi`
+
 library_cgi-browseaction.o: browseaction.cpp
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT library_cgi-browseaction.o -MD -MP -MF "$(DEPDIR)/library_cgi-browseaction.Tpo" -c -o library_cgi-browseaction.o `test -f 'browseaction.cpp' || echo '$(srcdir)/'`browseaction.cpp; \
@@ -928,4 +947,18 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o library_cgi-receptionist.obj `if test -f 'receptionist.cpp'; then $(CYGPATH_W) 'receptionist.cpp'; else $(CYGPATH_W) '$(srcdir)/receptionist.cpp'; fi`
+
+library_cgi-sqlqueryaction.o: sqlqueryaction.cpp
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT library_cgi-sqlqueryaction.o -MD -MP -MF "$(DEPDIR)/library_cgi-sqlqueryaction.Tpo" -c -o library_cgi-sqlqueryaction.o `test -f 'sqlqueryaction.cpp' || echo '$(srcdir)/'`sqlqueryaction.cpp; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/library_cgi-sqlqueryaction.Tpo" "$(DEPDIR)/library_cgi-sqlqueryaction.Po"; else rm -f "$(DEPDIR)/library_cgi-sqlqueryaction.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='sqlqueryaction.cpp' object='library_cgi-sqlqueryaction.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o library_cgi-sqlqueryaction.o `test -f 'sqlqueryaction.cpp' || echo '$(srcdir)/'`sqlqueryaction.cpp
+
+library_cgi-sqlqueryaction.obj: sqlqueryaction.cpp
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT library_cgi-sqlqueryaction.obj -MD -MP -MF "$(DEPDIR)/library_cgi-sqlqueryaction.Tpo" -c -o library_cgi-sqlqueryaction.obj `if test -f 'sqlqueryaction.cpp'; then $(CYGPATH_W) 'sqlqueryaction.cpp'; else $(CYGPATH_W) '$(srcdir)/sqlqueryaction.cpp'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/library_cgi-sqlqueryaction.Tpo" "$(DEPDIR)/library_cgi-sqlqueryaction.Po"; else rm -f "$(DEPDIR)/library_cgi-sqlqueryaction.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='sqlqueryaction.cpp' object='library_cgi-sqlqueryaction.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(library_cgi_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o library_cgi-sqlqueryaction.obj `if test -f 'sqlqueryaction.cpp'; then $(CYGPATH_W) 'sqlqueryaction.cpp'; else $(CYGPATH_W) '$(srcdir)/sqlqueryaction.cpp'; fi`
 
 library_cgi-statusaction.o: statusaction.cpp