Index: /main/trunk/greenstone2/perllib/plugins/ConvertToRogPlugin.pm
===================================================================
--- /main/trunk/greenstone2/perllib/plugins/ConvertToRogPlugin.pm	(revision 22654)
+++ /main/trunk/greenstone2/perllib/plugins/ConvertToRogPlugin.pm	(revision 22655)
@@ -444,9 +444,7 @@
     $doc_obj->associate_file($filename, "doc.$doc_ext", undef, $cursection);
 
-    #my $doclink = "<a href=\"_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/doc.$doc_ext\">";
-    #$doc_obj->add_utf8_metadata ($cursection, "srclink",  $doclink); 
     $doc_obj->add_metadata ($cursection, "srclink_file", "doc.$doc_ext"); 
     $doc_obj->add_utf8_metadata ($cursection, "srcicon",  "_icon".$doc_ext."_"); 
-    #$doc_obj->add_utf8_metadata ($cursection, "/srclink", "</a>"); 
+
     return $ret_val;
 }
Index: /main/trunk/greenstone2/perllib/plugins/ImageConverter.pm
===================================================================
--- /main/trunk/greenstone2/perllib/plugins/ImageConverter.pm	(revision 22654)
+++ /main/trunk/greenstone2/perllib/plugins/ImageConverter.pm	(revision 22655)
@@ -243,7 +243,4 @@
     }
 
-
-    #$doc_obj->add_metadata ($section, "srclink", "<a href=\"_httpprefix_/collect/[collection]/index/assoc/$assocfilemeta/[Image]\">");
-    #$doc_obj->add_metadata ($section, "/srclink", "</a>");
     $doc_obj->add_metadata ($section, "srclink_file", "[Image]"); 
     $doc_obj->add_metadata ($section, "srcicon", "<img src=\"_httpprefix_/collect/[collection]/index/assoc/$assocfilemeta/[Image]\" width=\"[ImageWidth]\" height=\"[ImageHeight]\">");
Index: /main/trunk/greenstone2/perllib/plugins/ImagePlugin.pm
===================================================================
--- /main/trunk/greenstone2/perllib/plugins/ImagePlugin.pm	(revision 22654)
+++ /main/trunk/greenstone2/perllib/plugins/ImagePlugin.pm	(revision 22655)
@@ -131,6 +131,4 @@
 	$doc_obj->associate_file($filename_full_path, $assoc_file, "", $section);
 
-	#$doc_obj->add_metadata ($section, "srclink", "<a href=\"_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[SourceFile]\">");
-	#$doc_obj->add_metadata ($section, "/srclink", "</a>");
 	$doc_obj->add_metadata ($section, "srclink_file", "[SourceFile]"); 
 	# We don't know the size of the image, but the browser should display it at full size
Index: /main/trunk/greenstone2/perllib/plugins/MP3Plugin.pm
===================================================================
--- /main/trunk/greenstone2/perllib/plugins/MP3Plugin.pm	(revision 22654)
+++ /main/trunk/greenstone2/perllib/plugins/MP3Plugin.pm	(revision 22655)
@@ -266,8 +266,5 @@
     $doc_obj->add_metadata ($section, "FileFormat", "MP3");
     
-    #$doc_obj->add_metadata ($section, "srclink", 
-#			    "<a href=\"_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[srcurl]\">");
     $doc_obj->add_metadata ($section, "srcicon", "_iconmp3_");
-    #$doc_obj->add_metadata ($section, "/srclink", "</a>");
     $doc_obj->add_metadata ($section, "srclink_file", "[srcurl]"); 
     my $applet_metadata = $self->{'applet_metadata'};
Index: /main/trunk/greenstone2/perllib/plugins/OggVorbisPlugin.pm
===================================================================
--- /main/trunk/greenstone2/perllib/plugins/OggVorbisPlugin.pm	(revision 22654)
+++ /main/trunk/greenstone2/perllib/plugins/OggVorbisPlugin.pm	(revision 22655)
@@ -137,6 +137,4 @@
 
     $doc_obj->add_metadata ($top_section, "FileFormat", "OggVorbis");
-    #$doc_obj->add_metadata ($top_section, "srclink", "<a href=\"_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[SourceFile]\">");
-    #$doc_obj->add_metadata ($top_section, "/srclink", "</a>");
     $doc_obj->add_metadata ($top_section, "srclink_file", "[SourceFile]"); 
     $doc_obj->add_metadata ($top_section, "srcicon", "_iconogg_");
Index: /main/trunk/greenstone2/perllib/plugins/OpenDocumentPlugin.pm
===================================================================
--- /main/trunk/greenstone2/perllib/plugins/OpenDocumentPlugin.pm	(revision 22654)
+++ /main/trunk/greenstone2/perllib/plugins/OpenDocumentPlugin.pm	(revision 22655)
@@ -262,9 +262,6 @@
 
     #setup to doclink thingi
-    #my $doclink = "<a href=\"_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/$file_only\">";
-    #$doc_obj->add_utf8_metadata ("", "srclink",  $doclink); 
     $doc_obj->add_metadata ("", "srclink_file", "[SourceFile]"); 
     $doc_obj->add_utf8_metadata ("", "srcicon",  "<img border=\"0\" align=\"absmiddle\" src=\"_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/thumbnail.png\" alt=\"View the Open document\" title=\"View the Open document\">"); 
-    #$doc_obj->add_utf8_metadata ("", "/srclink", "</a>"); 
     $self->set_Source_metadata($doc_obj, $file_only);
      $doc_obj->set_utf8_metadata_element("", "FileSize", (-s $filename));
Index: /main/trunk/greenstone2/perllib/plugins/RealMediaPlugin.pm
===================================================================
--- /main/trunk/greenstone2/perllib/plugins/RealMediaPlugin.pm	(revision 22654)
+++ /main/trunk/greenstone2/perllib/plugins/RealMediaPlugin.pm	(revision 22655)
@@ -108,6 +108,4 @@
     $doc_obj->add_metadata($top_section, "FileFormat", "RealMedia");
 
-    #$doc_obj->add_metadata($top_section, "srclink", "<a href=\"_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[SourceFile]\">");
-    #$doc_obj->add_metadata($top_section, "/srclink", "</a>");
     $doc_obj->add_metadata ($top_section, "srclink_file", "[SourceFile]"); 
     $doc_obj->add_metadata($top_section, "srcicon", "_iconrmvideo_");
Index: /main/trunk/greenstone2/perllib/plugins/UnknownPlugin.pm
===================================================================
--- /main/trunk/greenstone2/perllib/plugins/UnknownPlugin.pm	(revision 22654)
+++ /main/trunk/greenstone2/perllib/plugins/UnknownPlugin.pm	(revision 22655)
@@ -145,10 +145,6 @@
     $doc_obj->add_metadata ($section, "MimeType", $mime_type);
     $doc_obj->add_utf8_metadata ($section, $assoc_field, $doc_obj->get_source()); # Source metadata is already in utf8 
-
-    #$doc_obj->add_metadata ($section, "srclink", 
-#			    "<a href=\"_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/[SourceFile]\">");
     $doc_obj->add_metadata ($section, "srclink_file", "[SourceFile]"); 
     $doc_obj->add_metadata ($section, "srcicon", "_".$self->{'srcicon'}."_");
-    #$doc_obj->add_metadata ($section, "/srclink", "</a>");
     
     # we have no text - add dummy text and NoText metadata