Index: /main/trunk/release-kits/kits/rk2/installer/build.xml
===================================================================
--- /main/trunk/release-kits/kits/rk2/installer/build.xml	(revision 22658)
+++ /main/trunk/release-kits/kits/rk2/installer/build.xml	(revision 22659)
@@ -40,5 +40,5 @@
 	<taskdef name="sevenzip" classname="org.apache.tools.ant.SevenZip" classpathref="project.classpath"/>
 	<!-- /if -->
-	
+
 	<!-- determine if a bundled java exists -->
 	<condition property="bundled.java.exists">
@@ -165,39 +165,39 @@
 	<!-- Apache HTTPD  -->
 	<target name="Installing Apache Web Server">
-	  <echo>Installing the Apache Web Server</echo>
-	  
-	  <!-- start web -->
-	  <unzip src="${antinstaller.jar}" dest="${basedir}">
-	    <patternset>
-	      <include name="apachehttpd.lzma"/>
-	    </patternset>
-	  </unzip>
-
-	  <!-- if linux|mac -->
-	  <sevenzip task="decode" input="${basedir}/apachehttpd.lzma" output="${basedir}/apachehttpd.comp"/>
-	  <!-- /if -->
-	  <!-- if windows -->
-	  <exec dir="${basedir}" executable="${basedir}/7za.exe">
-	    <arg line="x apachehttpd.lzma"/>
-	  </exec>
-	  <!-- /if -->
-	  <unzip src="${basedir}/apachehttpd.comp" dest="${installDir}"/>
-	  <delete file="apachehttpd.comp"/>
-	  <!-- end web -->
-
-	  <!-- start cdrom -->
-	  <copy todir="${installDir}">
-	    <fileset dir="${orig.dir}/Software/apache-httpd"/>
-	  </copy>
-	  <!-- end cdrom -->
-
-	  <!-- if linux|mac -->
-	  <chmod dir="${installDir}/apache-httpd/${shell.name}/bin" includes="*" perm="775"/>
-	  <chmod dir="${installDir}/apache-httpd/${shell.name}" includes="*.sh" perm="775"/>
-	  <echo>Setting up apache web server</echo>
-	  <exec dir="${installDir}" executable="${installDir}/apache-httpd/${shell.name}/install-bindist.sh">
-	    <arg value="${installDir}/apache-httpd/${shell.name}"/>
-	  </exec>
-	  <!-- /if -->
+		<echo>Installing the Apache Web Server</echo>
+
+		<!-- start web -->
+		<unzip src="${antinstaller.jar}" dest="${basedir}">
+			<patternset>
+				<include name="apachehttpd.lzma"/>
+			</patternset>
+		</unzip>
+
+		<!-- if linux|mac -->
+		<sevenzip task="decode" input="${basedir}/apachehttpd.lzma" output="${basedir}/apachehttpd.comp"/>
+		<!-- /if -->
+		<!-- if windows -->
+		<exec dir="${basedir}" executable="${basedir}/7za.exe">
+			<arg line="x apachehttpd.lzma"/>
+		</exec>
+		<!-- /if -->
+		<unzip src="${basedir}/apachehttpd.comp" dest="${installDir}"/>
+		<delete file="apachehttpd.comp"/>
+		<!-- end web -->
+
+		<!-- start cdrom -->
+		<copy todir="${installDir}">
+			<fileset dir="${orig.dir}/Software/apache-httpd"/>
+		</copy>
+		<!-- end cdrom -->
+
+		<!-- if linux|mac -->
+		<chmod dir="${installDir}/apache-httpd/${shell.name}/bin" includes="*" perm="775"/>
+		<chmod dir="${installDir}/apache-httpd/${shell.name}" includes="*.sh" perm="775"/>
+		<echo>Setting up apache web server</echo>
+		<exec dir="${installDir}" executable="${installDir}/apache-httpd/${shell.name}/install-bindist.sh">
+			<arg value="${installDir}/apache-httpd/${shell.name}"/>
+		</exec>
+		<!-- /if -->
 	</target>
 
@@ -221,5 +221,5 @@
 
 		<chmod dir="${installDir}/bin/${shell.name}/imagemagick/bin" includes="*" perm="775"/>
-		
+
 	</target>
 
@@ -249,92 +249,81 @@
 
 		<mkdir dir="${startmenu.path}\Documentation"/>
+
+		<!-- Server shortcut -->
+		<if><bool><available file="${installDir}/web/images/server.ico"/></bool>
+			<property name="servericon" value="${installDir}\web\images\server.ico"/> 
+			<else>
+				<property name="servericon" value="${installDir}\web\images\serverico.ico"/> 
+			</else>
+		</if>
+
+		<shortcut
+			file="${startmenu.path}\Greenstone Server.lnk"
+			execute="${installDir}\gs2-server.bat"
+			workingDirectory="${installDir}"
+			iconFile="${servericon}"
+			iconIndex="0" />
+
+		<!-- Librarian shortcut -->
+		<if><bool><available file="${installDir}/web/images/librarian.ico"/></bool>
+			<property name="libraryicon" value="${installDir}\web\images\librarian.ico"/> 
+			<else>
+				<property name="libraryicon" value="${installDir}\web\images\icon.ico"/>
+			</else>
+		</if>
+
+		<shortcut
+			file="${startmenu.path}\Librarian Interface (GLI).lnk"
+			execute="${installDir}\gli\gli.bat"
+			workingDirectory="${installDir}\gli"
+			iconFile="${libraryicon}"
+			iconIndex="0" />
+			
+		<!-- Remote Server shortcut -->
+		<if><bool><available file="${installDir}/web/images/clientgli.ico"/></bool>
+			<property name="clientgliicon" value="${installDir}\web\images\clientgli.ico"/> 
+			<else>
+				<property name="clientgliicon" value="${installDir}\web\images\icon.ico"/>
+			</else>
+		</if>
+
+		<shortcut
+			file="${startmenu.path}\Remote Librarian Interface (Client GLI).lnk"
+			execute="${installDir}\gli\client-gli.bat"
+			workingDirectory="${installDir}\gli"
+			iconFile="${clientgliicon}"
+			iconIndex="0" />
+
+		<!-- GEMS shortcut -->
+		<if><bool><available file="${installDir}/web/images/metadata.ico"/></bool>
+			<property name="gemsicon" value="${installDir}\web\images\metadata.ico"/> 		
+			<else>
+				<property name="gemsicon" value="${installDir}\web\images\gems.ico"/> 	
+			</else>
+		</if>
+
+		<shortcut
+			file="${startmenu.path}\Metadata Set Editor (GEMS).lnk"
+			execute="${installDir}\gli\gems.bat"
+			workingDirectory="${installDir}\gli"
+			iconFile="${gemsicon}"
+			iconIndex="0" />
+
+		<!-- Uninstall shortcut -->
+		<if><bool><available file="${installDir}/web/images/newuninstall.ico"/></bool>
+			<property name="uninstallicon" value="${installDir}\web\images\newuninstall.ico"/> 		
+			<else>
+				<property name="uninstallicon" value="${installDir}\web\images\uninstall.ico"/> 	
+			</else>
+		</if>
 		
-		<if>
-			<bool>
-				<available file="${installDir}/web/images/server.ico"/>
-			</bool>
-		
-			<shortcut
-				file="${startmenu.path}\Greenstone Server.lnk"
-				execute="${installDir}\server.exe"
-				workingDirectory="${installDir}"
-				iconFile="${installDir}\web\images\server.ico"
-				iconIndex="0" />
-		
-			<else>
-				<shortcut
-					file="${startmenu.path}\Greenstone Server.lnk"
-					execute="${installDir}\server.exe"
-					workingDirectory="${installDir}"
-					iconFile="${installDir}\web\images\serverico.ico"
-					iconIndex="0" />
-			</else>
-		</if>
-
-		<if>
-			<bool>
-				<available file="${installDir}/web/images/librarian.ico"/>
-			</bool>
-			
-			<shortcut
-				file="${startmenu.path}\Librarian Interface (GLI).lnk"
-				execute="${installDir}\gli\gli.bat"
-				workingDirectory="${installDir}\gli"
-				iconFile="${installDir}\web\images\librarian.ico"
-				iconIndex="0" />
-				
-			<shortcut
-				file="${startmenu.path}\Librarian Interface for Remote Server (Client GLI).lnk"
-				execute="${installDir}\gli\client-gli.bat"
-				workingDirectory="${installDir}\gli"
-				iconFile="${installDir}\web\images\librarian.ico"
-				iconIndex="0" />
-			
-			<else>
-				<shortcut
-					file="${startmenu.path}\Librarian Interface (GLI).lnk"
-					execute="${installDir}\gli\gli.bat"
-					workingDirectory="${installDir}\gli"
-					iconFile="${installDir}\web\images\icon.ico"
-					iconIndex="0" />
-				
-				<shortcut
-					file="${startmenu.path}\Librarian Interface for Remote Server (Client GLI).lnk"
-					execute="${installDir}\gli\client-gli.bat"
-					workingDirectory="${installDir}\gli"
-					iconFile="${installDir}\web\images\icon.ico"
-					iconIndex="0" />
-			</else>
-		</if>
-		
-		<if>
-			<bool>
-				<available file="${installDir}/web/images/metadata.ico"/>
-			</bool>
-
-			<shortcut
-				file="${startmenu.path}\Metadata Set Editor (GEMS).lnk"
-				execute="${installDir}\gli\gems.bat"
-				workingDirectory="${installDir}\gli"
-				iconFile="${installDir}\web\images\metadata.ico"
-				iconIndex="0" />
-				
-			<else>
-				<shortcut
-					file="${startmenu.path}\Metadata Set Editor (GEMS).lnk"
-					execute="${installDir}\gli\gems.bat"
-					workingDirectory="${installDir}\gli"
-					iconFile="${installDir}\web\images\gems.ico"
-					iconIndex="0" />
-			</else>
-		</if>
-
 		<shortcut
 			file="${startmenu.path}\Uninstall.lnk"
 			execute="${installDir}\Uninstall.bat"
 			workingDirectory="${installDir}"
-			iconFile="${installDir}\web\images\uninstall.ico"
-			iconIndex="0" />
-
+			iconFile="${uninstallicon}"
+			iconIndex="0" />
+
+		<!-- Misc shortcuts -->
 		<shortcut
 			file="${startmenu.path}\Documentation\READMEen.lnk"
@@ -348,5 +337,5 @@
 			file="${startmenu.path}\Documentation\Greenstone Website.url"
 			url="http://www.greenstone.org" />
-			
+
 	</target>
 